local t = Def.ActorFrame{};

t[#t+1] = Def.ActorFrame{

	LoadActor(THEME:GetPathS("","new challenger announcer"))..{
		NewChallengerMessageCommand=cmd(play);
	};
	LoadActor(THEME:GetPathS("","Here comes a new challenger"))..{
		NewChallengerMessageCommand=cmd(play);
	};

	LoadActor("noise")..{
		InitCommand=cmd(FullScreen;diffusealpha,0);
		NewChallengerMessageCommand=cmd(texcoordvelocity,0,8;sleep,3;diffusealpha,.5;linear,.1;diffusealpha,0;sleep,1;diffusealpha,.5;--[[sleep,.5;linear,.1;diffusealpha,0]]);
		
	};
	LoadActor("Emblem")..{
		InitCommand=cmd(Center;zoom,3;SetAllStateDelays,.04;blend,"BlendMode_Add";visible,false;animate,false);
		NewChallengerMessageCommand=cmd(visible,true;animate,true);
		AnimationFinishedCommand=cmd(visible,false;animate,false);
	};
	LoadActor("Flare")..{
		InitCommand=cmd(Center;zoom,3;blend,"BlendMode_Add";zoomx,.8;diffusealpha,0);
		NewChallengerMessageCommand=cmd(sleep,.6;diffusealpha,1;linear,.5;zoomx,20;zoomy,.2;linear,.1;diffusealpha,0);
	};
	Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH,10;diffuse,Color("White");diffusealpha,0;Center);
		NewChallengerMessageCommand=cmd(sleep,1;linear,.1;diffusealpha,1;sleep,1;linear,.5;zoomx,.8;diffuse,Color("Red"));
	};
	
	LoadActor("cha_title01")..{
		InitCommand=cmd(diffusealpha,0;xy,20,SCREEN_CENTER_Y-30);
		NewChallengerMessageCommand=cmd(sleep,2;decelerate,1;diffusealpha,1;x,SCREEN_CENTER_X-50;);
	};
	LoadActor("cha_title00")..{
		InitCommand=cmd(diffusealpha,0;xy,20,SCREEN_CENTER_Y-30);
		NewChallengerMessageCommand=cmd(sleep,2;decelerate,1;diffusealpha,1;x,SCREEN_CENTER_X-50;);
	};
	LoadActor("cha_title03")..{
		InitCommand=cmd(diffusealpha,0;xy,SCREEN_WIDTH-20,SCREEN_CENTER_Y+30);
		NewChallengerMessageCommand=cmd(sleep,2;decelerate,1;diffusealpha,1;x,SCREEN_CENTER_X+200;);
	};
	LoadActor("cha_title02")..{
		InitCommand=cmd(diffusealpha,0;xy,SCREEN_WIDTH-20,SCREEN_CENTER_Y+30);
		NewChallengerMessageCommand=cmd(sleep,2;decelerate,1;diffusealpha,1;x,SCREEN_CENTER_X+200;);
	};
	
	Def.Quad{
		InitCommand=cmd(setsize,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("0,0,0,0");Center);
		NewChallengerMessageCommand=cmd(sleep,5;linear,1;diffuse,color("0,0,0,1"));
	};
}
return t;